"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PLUGIN_NAME = exports.PLATFORM_NAME = exports.MYQ_OBSTRUCTED = exports.MYQ_MQTT_TOPIC = exports.MYQ_MQTT_RECONNECT_INTERVAL = exports.MYQ_OBSTRUCTION_ALERT_DURATION = exports.MYQ_ACTIVE_DEVICE_REFRESH_DURATION = exports.MYQ_ACTIVE_DEVICE_REFRESH_INTERVAL = exports.MYQ_DEVICE_REFRESH_INTERVAL = void 0;
/* Copyright(C) 2017-2022, HJD (https://github.com/hjdhjd). All rights reserved.
 *
 * settings.ts: Settings and constants for homebridge-myq.
 */
// How often, in seconds, should we poll the myQ API for updates about myQ devices and their states.
exports.MYQ_DEVICE_REFRESH_INTERVAL = 12;
// How often, in seconds, should we poll the myQ API during active state changes in myQ devices, like garage doors.
exports.MYQ_ACTIVE_DEVICE_REFRESH_INTERVAL = 3;
// How long, in seconds, should we continue to actively poll myQ device state changes.
exports.MYQ_ACTIVE_DEVICE_REFRESH_DURATION = 60 * 5;
// How long, in seconds, should we alert a user to an obstruction.
exports.MYQ_OBSTRUCTION_ALERT_DURATION = 30;
// How often, in seconds, should we try to reconnect with an MQTT broker, if we have one configured.
exports.MYQ_MQTT_RECONNECT_INTERVAL = 60;
// Default MQTT topic to use when publishing events. This is in the form of: myq/serial/event
exports.MYQ_MQTT_TOPIC = "myq";
// Since HomeKit doesn't give us a value for an obstructed state, we use this instead.
exports.MYQ_OBSTRUCTED = 8675309;
// The platform the plugin creates.
exports.PLATFORM_NAME = "myQ";
// The name of our plugin.
exports.PLUGIN_NAME = "homebridge-myq";
//# sourceMappingURL=settings.js.map